# Purpose: demonstrate that one can scale an image 
# by generating a pseudo event for key_imagecolors
# Updated by VOG on 06-07-2023

from kapteyn import maputils
from matplotlib import pyplot as plt
from matplotlib.colors import LogNorm

tpos = 1.05
f = maputils.FITSimage("m101.fits")
# f.set_limits(pxlim=(200,300), pylim=(200,300))
print("Pixel ranges:", f.pxlim, f.pylim)

fig = plt.figure()
frame = fig.add_subplot(1,1,1)
t = frame.set_title("Original", y=tpos)

mplim = f.Annotatedimage(frame)
ima = mplim.Image()
mplim.Pixellabels()
mplim.plot()

fig2 = plt.figure()
frame2 = fig2.add_subplot(1,1,1)
t = frame2.set_title("Histogram equalized", y=tpos)

mplim2 = f.Annotatedimage(frame2)
ima2 = mplim2.Image(visible=True)
mplim2.key_imagecolors(None, externalkey='H')
mplim2.Pixellabels()
mplim2.plot()


mplim.interact_imagecolors()
mplim2.interact_imagecolors()

plt.show()

