from kapteyn import maputils
from matplotlib import pyplot as plt
from matplotlib.colors import LogNorm
import glob

f = maputils.FITSimage("blanksetmin32.fits")
#f = maputils.FITSimage("blankset16.fits")
f.set_imageaxes(1,2)

fig = plt.figure(figsize=(7,9))
frame = fig.add_subplot(1,1,1)
fig.subplots_adjust(right=0.8)
#frame = fig.add_axes([0.1,0.2,0.7, 0.7])

mycmlist = ["mousse.lut", "ronekers.lut"]
maputils.cmlist.add(mycmlist)
print("Colormaps: ", maputils.cmlist.colormaps)

mplim = f.Annotatedimage(frame, cmap="mousse.lut", blankcolor='w')
mplim.Image()
#mplim.Image()
#mplim.set_blankcolor('c')
mplim.Pixellabels(plotaxis=("top","right"))
cb = mplim.Colorbar(location='right')
grat = mplim.Graticule()
grat.setp_ticklabel(wcsaxis=(0,1), fontsize=8)
mplim.plot()

mplim.interact_toolbarinfo()
mplim.interact_imagecolors()
mplim.interact_writepos()

plt.show()

