"""Show interaction options"""
from kapteyn import maputils
from matplotlib import pyplot as plt

print("\nPress 'm' to save color lut!\n")

f = maputils.FITSimage("m101.fits")
#f.set_limits((100,500),(200,400))

fig = plt.figure(figsize=(9, 7))
frame = fig.add_subplot(1, 1, 1)

mycmlist = ["mousse.lut", "ronekers.lut"]
maputils.cmlist.add(mycmlist)
print(("Colormaps: ", maputils.cmlist.colormaps))

try:
   annim = f.Annotatedimage(frame, cmap="m101_01082019_150854.lut")
except:
   annim = f.Annotatedimage(frame, cmap="ronekers.lut")   
annim.cmap.set_bad('w')
ima = annim.Image()
annim.Pixellabels()
annim.Colorbar(label="Unknown units")
annim.plot()

annim.interact_toolbarinfo()
annim.interact_imagecolors()
annim.interact_writepos()

plt.show()


