from kapteyn import maputils
from matplotlib import pyplot as plt


header = {'NAXIS': 2 ,'NAXIS1':100 , 'NAXIS2': 100 ,
'CDELT1': -7.165998823000E-03, 'CRPIX1': 5.100000000000E+01 ,
'CRVAL1': -5.128208479590E+01, 'CTYPE1': 'RA---NCP', 'CUNIT1': 'DEGREE ',
'CDELT2': 7.165998823000E-03 , 'CRPIX2': 5.100000000000E+01,
'CRVAL2': 6.015388802060E+01 , 'CTYPE2': 'DEC--NCP ', 'CUNIT2': 'DEGREE'
}


fig = plt.figure()
#frame = fig.add_axes([0.15,0.15,0.8,0.8])
frame = fig.add_subplot(1,1,1)
f = maputils.FITSimage(externalheader=header)
annim = f.Annotatedimage(frame)
grat = annim.Graticule()
grat.setp_gratline(visible=False)
grat.set_tickmode(plotaxis=("top","right"), mode="Native")
grat.setp_ticklabel(plotaxis="bottom", position="20h34m", fmt="%8.2f", rotation=90, 
                    va='bottom', pad=-10)
grat.setp_tickmark(plotaxis="bottom", position="20h34m", 
                   markeredgecolor='b', markeredgewidth=4, markersize=20, direction='out')
grat.setp_ticklabel(plotaxis="right", position="60d10m", fmt="%6.2f", 
                    ha='right', pad=-10, color='r')
grat.setp_tickmark(plotaxis='right', markersize=10, direction='inout')
grat.setp_ticklabel(plotaxis="left", position="60d10m", rotation=30, 
                    va='top', pad=-20, color='g')
grat.setp_ticklabel(plotaxis=[0,1,2,3], fontsize=8)

fig.text(0.5, 0.5, "Empty", fontstyle='italic', fontsize=18, ha='center',
         color='r')
annim.plot()
plt.show()
